com.google.cloud.dataflow.examples.common

## Class PubsubFileInjector.Bound

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFn<String,Void>
  - - com.google.cloud.dataflow.examples.common.PubsubFileInjector.Bound

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  PubsubFileInjector

    public static class PubsubFileInjector.Bound
    extends DoFn<String,Void>

A DoFn that publishes non-empty lines to Google Cloud PubSub.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`DoFn.Context, DoFn.ProcessContext, DoFn.RequiresWindowAccess`

### Field Summary

Fields
`com.google.api.services.pubsub.Pubsub` `pubsub`

### Constructor Summary

Constructors
Constructor and Description
`Bound(String outputTopic, String timestampLabelKey)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processElement(DoFn.ProcessContext c)`
`void` `startBundle(DoFn.Context context)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`createAggregator, createAggregator, finishBundle, getAllowedTimestampSkew, getInputTypeDescriptor, getOutputTypeDescriptor, populateDisplayData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pubsub

    public transient com.google.api.services.pubsub.Pubsub pubsub

### Constructor Detail

#### Bound

    public Bound(String outputTopic,
                 String timestampLabelKey)

### Method Detail

#### startBundle

    public void startBundle(DoFn.Context context)

Overrides:
  `startBundle` in class `DoFn<String,Void>`

#### processElement

    public void processElement(DoFn.ProcessContext c)
                        throws IOException

Specified by:
  `processElement` in class `DoFn<String,Void>`
Throws:
  `IOException`